Package org.eclipse.net4j.util.collection

## Class AbstractListIterator<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.AbstractIterator<T>
  - - org.eclipse.net4j.util.collection.AbstractListIterator<T>

- All Implemented Interfaces:
    `java.util.Iterator<T>`

      public abstract class AbstractListIterator<T>
      extends AbstractIterator<T>

  An abstract base class for custom list iterators that only requires to implement the `AbstractIterator.computeNextElement()` and `computePreviousElement()` methods.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `END_OF_DATA`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractListIterator()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract java.lang.Object` | `computePreviousElement()` | Returns the previous iteration element, or `AbstractIterator.END_OF_DATA` if the start of the iteration has been reached.
    `boolean` | `hasPrevious()` |
    `T` | `previous()` |

    - ### Methods inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `computeNextElement, empty, hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### AbstractListIterator

          public AbstractListIterator()

  - ### Method Detail

    - #### hasPrevious

          public final boolean hasPrevious()

    - #### previous

          public final T previous()

    - #### computePreviousElement

          protected abstract java.lang.Object computePreviousElement()

      Returns the previous iteration element, or `AbstractIterator.END_OF_DATA` if the start of the iteration has been reached.